/****************************************************************************/
/*																			*/
/*	Application:	E D T V													*/
/*																			*/
/*	Description:	This file contains all the header information used		*/
/*					in each file.											*/
/*																			*/
/*	File:			EDTV.h													*/
/*																			*/
/*	Files:			about.c		- routines for the about box				*/
/*					EDTV.c		- routines for displaying movies			*/
/*					menu.c		- routines for handling the menu			*/
/*					remote.c	- routines for controlling the movie		*/
/*					EDTV.h		- header file information					*/
/*																			*/
/*	Programmer:		Edgar Lee												*/
/*	Organization:	Apple Computer, Inc.									*/
/*	Department:		Developer Technical Support, DTS						*/
/*	Language:		C (Think C version 5.0)									*/
/*	Date Created:	10-26-91												*/
/*																			*/
/****************************************************************************/

#include <Components.h>
#include <ImageCodec.h>
#include <ImageCompression.h>
#include <Movies.h>
#include <MoviesFormat.h>
#include <QuickTimeComponents.h>

#define	NO_MOVIE		0
#define	MOVIE_LOADED	1
#define	MOVIE_HIDDEN	2

#define	STOP_WHEN_DONE	0
#define	CONTINUOUS_PLAY	1

#define	BG			0
#define	FG			1

#define	BLACK		0
#define	WHITE		1
#define	SLATE		2
#define	RED			3
#define	MUSTARD		4
#define	GREY		5
#define	BLUE		6

#define	RWIDTH		160
#define	RHEIGHT		360

#define	RLEFT		20
#define	RTOP		50

#define	LRSPOT		0
#define	URSPOT		1
#define	ULSPOT		2
#define	LLSPOT		3
#define	CSPOT		4

#define	RSPLIT		0
#define	LSPLIT		1
#define	TSPLIT		2
#define	BSPLIT		3

extern	int			gMoviesStatus;

extern	Movie		gMovie1;
extern	Movie		gMovie2;

extern	TimeValue	gMovieDuration;

void	doAboutBox();

void	initMac();
void	checkSysEnviron();

void	initOffscreenTV();
void	initParameters();
void	createWindow();
void	selectMovie();
void	closeMovie();
void	setupDisplay();
void	resizeWindow();
void	positionMovie();
void	updateGWorld();
	
void	setGridClipRgn();
void	setPipClipRgn();
void	setSplitClipRgn();
void	setStillFrames();

void	drawWindowAndMovie();
void	drawWindowOnly();
void	createTVMask();

void	useColor();

void	doEventLoop();
void	quit();

void	setUpMenus();
void	initMenuSettings();
void	adjustMenus();
void	enable();
void	handleMenu();

void	initButtons();

void	createRWindow();
void	drawRemote();
void	drawCurrentTime();
void	drawVolume();
void	drawPoster();
void	redrawRemoteOnClose();

void	drawReadOutText();
void	drawMiniRemote();
void	drawActualRemote();
void	drawPoster();

void	sec2hms();

void	identifyMovies();

void	doPlay();
void	doGoto();
void	doStep();
void	doVolume();
void	toggleMovies();
void	doMute();
void	doNormal();
void	doPiP();
void	doMatrix();
void	doSplit();
void	doMult();
void	doSwap();
void	doEject();
void	doLoad();
void	toggleLoop();
void	resizeRemote();

void	liteLight();
void	dimLight();

void	doRemoteEvent();