/****************************************************************************/
/*																			*/
/*	Application:	E D T V													*/
/*																			*/
/*	Description:	This file contains all the routines displaying			*/
/*					the about box for this application.						*/
/*																			*/
/*	File:			about.c													*/
/*																			*/
/*	Files:			about.c		- routines for the about box				*/
/*					EDTV.c		- routines for displaying movies			*/
/*					menu.c		- routines for handling the menu			*/
/*					remote.c	- routines for controlling the movie		*/
/*					EDTV.h		- header file information					*/
/*																			*/
/*	Programmer:		Edgar Lee												*/
/*	Organization:	Apple Computer, Inc.									*/
/*	Department:		Developer Technical Support, DTS						*/
/*	Language:		C (Think C version 5.0)									*/
/*	Date Created:	10-26-91												*/
/*																			*/
/****************************************************************************/

#include "EDTV.h"

void drawMyString();

/*-------------------------------------------------------------------------------------*/

void doAboutBox()
{
	int			col, row;
	int			width, height;
	int			item;
	DialogPtr	dialog;
	PicHandle	pict;
	Rect		rect;

	pict = (PicHandle)GetResource( 'PICT', 128 );
	HPurge( pict );

	dialog = GetNewDialog( 129, 0L, (WindowPtr)-1L );

	SetPort( dialog );
	
	TextFont( geneva );
	TextMode( srcOr );
	
	useColor( BG, WHITE );
	
	width = (**pict).picFrame.right - (**pict).picFrame.left;
	height = (**pict).picFrame.bottom - (**pict).picFrame.top;
	
	SetRect( &rect, -20, -30, -20 + width, -30 + height );
	DrawPicture( pict, &rect );

	rect = dialog->portRect;
	rect.right = (**pict).picFrame.right;
	rect.left = rect.right - 40;
	useColor( WHITE, FG );
	PaintRect( &rect );

	col = (**pict).picFrame.right - 30;
	row = 50;
	
	TextFont( times );
	TextSize( 48 );
	
	useColor( SLATE, FG );
	drawMyString( col + 2, &row, -2, "\pE D T V" );
	useColor( BLUE, FG );
	drawMyString( col, &row, 17, "\pE D T V" );
	
	TextFont( geneva );
	TextSize( 9 );
	useColor( BLACK, FG );
	
	drawMyString( dialog->portRect.right - 70, &row, 22, "\pVersion 1.0.1" );
	drawMyString( col, &row, 25, "\pBrought to you by Edgar Lee." );
	
	drawMyString( col, &row, 15, "\pFor any suggestions or comments," );
	drawMyString( col, &row, 15, "\pplease write to edgar@apple.com" );
	drawMyString( col, &row, 25, "\por appleLink EDGAR." );
	
	drawMyString( col, &row, 15, "\p 1991 Apple Computer, Inc." );
	drawMyString( col, &row, 20, "\pAll rights reserved." );
	
	TextFont( times );
	TextSize( 36 );
	
	row = dialog->portRect.bottom - 10;
	useColor( SLATE, FG );
	drawMyString( col + 2, &row, -2, "\pDTS" );
	useColor( RED, FG );
	drawMyString( col, &row, 0, "\pDTS" );
	
	for(;;)
	{
		ModalDialog( 0L, &item );
		if (item)
			break;
	}
	
	DisposDialog( dialog );
}

/*-------------------------------------------------------------------------------------*/

void drawMyString( col, row, increment, string )
int		col, *row, increment;
Str255	string;
{
	MoveTo( col, *row );
	DrawString( string );
	
	*row += increment;
}